import Component from '../component.js'
import DivComponent from '../div.js';

export default class CoEuiToolbarApp extends Component {
  constructor(parent) {
    let selector = 'eui-toolbar-app';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/layout/eui-toolbar/toolbar-app/toolbar-app.component.html
  }
  get appNameCO() {
    return new DivComponent(this.currentPath).addPredicateClassContains('eui-toolbar-app__name');
  }
  get subtitleCO() {
    return new DivComponent(this.currentPath).addPredicateClassContains('eui-toolbar-app__subTitle');
  }
  async hasAppSubTitle(){
    return await (await this.appNameCO.element()).isExisting()
  }
}

